Subject: RE: I-D ACTION:draft-ietf-pwe3-frame-relay-00.txt

From: Akiva Sadovski <[email-masked]>
Date: Wed, 6 Nov 2002 19:11:56 +0200

Hi,

Some conserns about handling error conditions, more exactly about the
definitions:
[quote]
7.5. Handling of error conditions

      If a PE receives a FRoPW packet with errors, it shall discard it
      silently.
[end-quote]
1) Can you explain what error conditions and in what direction (CE-bound or
PE-bound) are checked?
2) I can guess that this is about  the FSC check in PE-bound direction (as
in 10.4 for port mode), but IMHO, it should be explicitly stated.

Now something quite different:

3) The FRoPW's Length field as defined in 7.3 is the sum that contains among
other stuff the sum of all Tunnel Labels lengths. Such definition is
inconsistent with the definitions in draft-martini-l2encap-mpls-04.txt:
[quote]
The next 6 bits provide a length field, which is used as follows: If
the packet's length (defined as the length of the layer 2 payload
plus the length of the control word) is less than 64 bytes, the
length field MUST be set to the packet's length. Otherwise the length
field MUST be set to zero. The value of the length field, if non-
zero, can be used to remove any padding. When the packet reaches the
service provider's egress router, it may be desirable to remove the
padding before forwarding the packet.
[end quote]
and draft-ietf-pwe3-atm-encap-00.txt:
[quote]
The next 6 bits provide a length field, which is used as follows: If
 the packet's length (defined as the length of the layer 2 payload
 plus the length of the control word) is less than 64 bytes, the
 length field MUST be set to the packet's length. Otherwise the length
 field MUST be set to zero. The value of the length field, if non-
 zero, can be used to remove any padding. When the packet reaches the
 service provider's egress router, it may be desirable to remove the
 padding before forwarding the packet.
[end quote]
And after all, why should the PW mess with PSN delivery stuff ?

thanks in advance,
 Akiva Sadovski
Axerra Networks

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, October 23, 2002 1:38 PM
> Cc: [email-masked]
> Subject: [PWE3] I-D ACTION:draft-ietf-pwe3-frame-relay-00.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the Pseudo Wire Emulation Edge 
> to Edge Working Group of the IETF.
> 
> 	Title		: Frame Relay over Pseudo-Wires
> 	Author(s)	: C. Kawa et al.
> 	Filename	: draft-ietf-pwe3-frame-relay-00.txt
> 	Pages		: 28
> 	Date		: 2002-10-22
> 	
> This document defines frame relay pseudo-wire emulation edge-to-edge.
> A frame relay pseudo-wire is a mechanism that exists between a
> provider's edge network nodes and support as faithfully as possible
> frame relay services over IP and MPLS packet switched network (PSN).
> Two mapping modes are defined: One-to-one mapping mode characterized
> by a one to one relationship between a frame relay VC and a pair
> of MPLS LSPs is defined for MPLS PSN. The other mode is known as port
> mode or many-to-one mapping mode and is defined for MPLS PSN and IP
> PSN with L2TPv3.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-frame-relay-00.txt
> 
> To remove yourself from the IETF Announcement list, send a message to 
> ietf-announce-request with the word unsubscribe in the body 
> of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-pwe3-frame-relay-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-pwe3-frame-relay-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

---

From: Sasha Vainshtein <[email-masked]>
Date: Thu, 7 Nov 2002 09:21:02 +0200

Claude, Akiva and all,
Please see a brief comment inline.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked] <mailto:[email-masked]> 
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

> From: Akiva Sadovski [mailto:[email-masked]]
> Sent: Wednesday, November 06, 2002 7:12 PM
> To: [email-masked]'
> Cc: [email-masked]
> Subject: RE: [PWE3] I-D ACTION:draft-ietf-pwe3-frame-relay-00.txt
> 
> 
> Hi,
> 
> 3) The FRoPW's Length field as defined in 7.3 is the sum that 
> contains among other stuff the sum of all Tunnel Labels lengths. 
... skipped ...
> And after all, why should the PW mess with PSN delivery stuff ?
Even if we assume that the PW ingress is somehow aware of the depth
of the label stack the PE must generate, this depth may change along
the transport LSP deliverying it to the PW egress (e.g., if the
transport LSP uses PHP). In particular, the ingress PE may presume
that the length in question is >= 64 bytes and act accordingly, 
while the egress PE receives a padded packet with the length field
set to 0. 
> implementation to automatically retrieve the ASCII version of the
_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3